summaryrefslogtreecommitdiff
path: root/dev-python/pyopenssl-python2/pyopenssl-python2-19.1.0-r2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pyopenssl-python2/pyopenssl-python2-19.1.0-r2.ebuild')
-rw-r--r--dev-python/pyopenssl-python2/pyopenssl-python2-19.1.0-r2.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/pyopenssl-python2/pyopenssl-python2-19.1.0-r2.ebuild b/dev-python/pyopenssl-python2/pyopenssl-python2-19.1.0-r2.ebuild
new file mode 100644
index 000000000000..0cb0836a7724
--- /dev/null
+++ b/dev-python/pyopenssl-python2/pyopenssl-python2-19.1.0-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+DISTUTILS_USE_SETUPTOOLS=manual
+inherit distutils-r1 flag-o-matic
+
+MY_PN=pyOpenSSL
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python interface to the OpenSSL library"
+HOMEPAGE="
+ https://www.pyopenssl.org/
+ https://pypi.org/project/pyOpenSSL/
+ https://github.com/pyca/pyopenssl
+"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+RESTRICT="test"
+
+RDEPEND="
+ !dev-python/pyopenssl[python_targets_python2_7]
+ >=dev-python/six-python2-1.5.2[${PYTHON_USEDEP}]
+ dev-python/setuptools-python2[${PYTHON_USEDEP}]
+ dev-python/cryptography-python2"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx doc \
+ dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+ # Requires network access
+ sed -i -e 's/test_set_default_verify_paths/_&/' tests/test_ssl.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ rm -r ${D}/usr/share
+}